#pragma once

#include "CoreMinimal.h"
#include "GameObjective_ActorList.h"
#include "Templates/SubclassOf.h"
#include "GameObjective_ActorClassList.generated.h"

class AActor;

UCLASS(Blueprintable, Abstract)
class AGameObjective_ActorClassList : public AGameObjective_ActorList
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<AActor> _actorClass;

public:
	AGameObjective_ActorClassList();
};

FORCEINLINE uint32 GetTypeHash(const AGameObjective_ActorClassList) { return 0; }
